PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Fields
pw_resource_events Struct Reference
Implementation API » Resource

Resource events. More...

`#include <pipewire/resource.h>`

## Data Fields
uint32_t | version
void(* | destroy )(void *data)
| The resource is destroyed.
void(* | pong )(void *data, int seq)
| a reply to a ping event completed
void(* | error )(void *data, int seq, int res, const char *message)
| an error occurred on the resource

## Detailed Description

Resource events.

## Field Documentation

## ◆ version

uint32_t pw_resource_events::version

## ◆ destroy

void(* pw_resource_events::destroy) (void *data)

The resource is destroyed.

## ◆ pong

void(* pw_resource_events::pong) (void *data, int seq)

a reply to a ping event completed

## ◆ error

void(* pw_resource_events::error) (void *data, int seq, int res, const char *message)

an error occurred on the resource

The documentation for this struct was generated from the following file:

- pipewire/resource.h